name: website

on:
  push:
    branches:
      - main

concurrency:
  group: ${{ gitea.workflow }}-${{ gitea.ref }}
  cancel-in-progress: true

jobs:
  prod-build:
    runs-on: act-runner
    timeout-minutes: 5
    steps:
      - name: clone
        uses: actions/checkout@v3
      - name: build
        run: hugo --minify --gc --baseURL "https://ssp.denyskon.de/"
      - name: deploy
        run: |
          cd public
          rsync -azr --delete ./ /var/www/ssp/          
  